import { Component, Injector, ViewEncapsulation } from '@angular/core';

import { UserDefinedExecutionContext } from '@wm/core';
import { SpaPageDirective } from "@wm/components/page";
import { BaseLayoutComponent } from '@wm/runtime/base';

import { expressionData } from './{{name}}.component.expressions';

@Component({
    selector: 'app-page-{{name}}',
    templateUrl: './{{name}}.component.html',
    encapsulation: ViewEncapsulation.None,
    providers: [
        {
            provide: UserDefinedExecutionContext,
            useExisting: {{componentName}}
        }
    ]
})
export class {{componentName}} extends BaseLayoutComponent {
    layoutName = '{{name}}';
    layoutPages = {{layoutPages}};

    constructor(public injector: Injector) {
        super();
        super.init();
    }

    getExpressions() {
        return expressionData;
    }
}
